Highlighted
SALAMN
2 Iron

Update: EMC PowerPath/VE 5.7 patch for Vsphere 5.1 requires VMware hot-patch

Problems:

  • PowerPath/VE 5.7 does not load on VMware vSphere version 5.1 
  • If you perform an upgrade from vSphere 5.0 to vSphere 5.1 with PowerPath/VE 5.7 or PowerPath/VE 5.7 P01 already present, you may experience these symptoms:

Please read the arcticle below before upgrading to vSphere 5.1

PowerPath/VE 5.7 and PowerPath/VE 5.7 P01 have not been qualified with vSphere 5.1. Upgrading to vSphere 5.1 may result in unpredictable behaviour.

VMware and EMC have identified a fix for this issue. For customers using PowerPath/VE, VMware recommends not upgrading to vSphere 5.1 until you perform the steps in this article.

Download PowerPath/VE 5.7P02 from EMCPowerLink and contact VMware Technical Support and quote KB 2034796 to obtain a hot-patch for ESXi 5.1.


To upgrade PowerPath/VE 5.7 P02 with vSphere 5.1:

  • If you have deployed vSphere 5.0 and are planning to upgrade to vSphere 5.1 and the esx.conf file includes entries longer than 512 bytes:

    Note
    : VMware Support can help you identify the length of esx.conf entries.
     
    1. Upgrade PowerPath/VE 5.7 or PowerPath/VE 5.7 P01 to PowerPath/VE 5.7 P02 on vSphere 5.0. 
    2. Contact VMware Support and quote KB 2034796 to obtain a hot-patch. 
    3. Upgrade to vSphere 5.1 with hot-patch applied .

  • If you have deployed vSphere 5.0 and are planning to upgrade to vSphere 5.1 and the esx.conf file does not include entries longer than 512 bytes:

    Note
    : VMware Support can help you identify the length of esx.conf entries.
     
    1. Upgrade PowerPath/VE 5.7 or PowerPath/VE 5.7 P01 to PowerPath/VE 5.7 P02 on vSphere 5.0. 
    2. Upgrade to vSphere 5.1. 
    3. Contact VMware Support and quote KB 2034796 to obtain a hot-patch. 
    4. Install the hot-patch.

  • If you already have upgraded vSphere 5.1 with PowerPath/VE 5.7 or PowerPath/VE 5.7 P01 installed: 
    1. Contact VMware Support and quote KB 2034796 to obtain a hot-patch

    2. Install the hot-patch.

    3. Download PowerPath/VE 5.7 P02 from EMC PowerLink and install it.

  • If you are already on vSphere 5.1 with PowerPath/VE 5.7 P02:

    1. Contact VMware Support and quote KB 2034796 to obtain a hot-patch

    2. Install the hot-patch.

      Note: You may need to reconfigure PowerPath/VE options.

Note: PowerPath/VE 5.7 P02 is a full package release. It can be installed on a fresh ESXi host (that is, a host with no previous version of PowerPath installed) or as an upgrade

For related information from EMC, see EMCKB emc302625.

For information on contacting VMware Support, see Filing a Support Request in My VMware (2006985).

VMware KnowledgeBase link to Article

Labels (1)
Tags (3)
0 Kudos